# STEP 0: Set parameters
starttime <- Sys.time()
require(ShellChron)
# Input details on records
path <- "E://Dropbox//Research//Manuscripts//Bivalve age model//Case1_LR_12" # For Home PC (both)
#path <- "C://Users//niels//Dropbox//Research//postdoc//Side projects//Bivalve age model//Rdil4a_results" # For laptop
setwd(path)
file_name <- "Case1_LR_12.csv" # Give file name (don't forget to add the extention, should be in CSV format)
mineral <- "calcite" # Set mineralogy of the record
t_int <- 1 # Set time interval in days
G_per <- T_per <- 365 # Set annual time period in days (default = 365)
# Texel_data <- read.csv("Texel_daily_data.csv", header = T)
# d18Ow <- read.csv("d18Osw.csv", header = FALSE)$V1 # Create d18Ow vector for one year (default = all zero)
# d18Ow <- Texel_data$d18Osw
d18Ow <- 0
t_maxtemp <- 182.5 # Assume taht the day of maximum temperature is halfway through the year.
MC <- 1000
agecorrection <- FALSE
plot <- TRUE
plot_export <- TRUE
export_raw <- TRUE
endtime <- Sys.time()
timetrack <- endtime - starttime

# STEP 1: Import data
starttime <- Sys.time()
setwd(path)
importlist <- data_import(file_name)
dat <- importlist[[1]]
dynwindow <- importlist[[2]]
G_per <- T_per # Period of growth rate sinusoid should equal that of the temperature sinusoid (which is given)
endtime <- Sys.time()
timetrack <- append(timetrack, endtime - starttime)

# STEP 2: Run the model
starttime <- Sys.time()
resultlist <- Run_model(dat, dynwindow, mineral, d18Ow, T_per, G_per, t_int, t_maxtemp, MC, agecorrection, plot = TRUE)
resultarray <- resultlist[[1]]
parmat <- resultlist[[2]]
endtime <- Sys.time()
timetrack <- append(timetrack, endtime - starttime)

# STEP 3: Align model results to cumulative timescale
starttime <- Sys.time()
suppressWarnings(resultarray[, , 3] <- CumDY2(resultarray, TRUE, TRUE)) # Calculate cumulative day of the year for all model runs and replace matrix in result array
endtime <- Sys.time()
timetrack <- append(timetrack, endtime - starttime)

# STEP 4: Order and export results and statistics
starttime <- Sys.time()
Export_results(dat, resultarray, parmat, MC, dynwindow, plot, plot_export, export_raw) # Export results of model
endtime <- Sys.time()
timetrack <- append(timetrack, endtime - starttime)
write.csv(timetrack, "timetrack.csv")
return(resultlist)